## GODoc

GODoc

## Synopsis

    #define             GO_DOC_TYPE
    #define             GO_DOC                              (o)
    #define             IS_GO_DOC                           (o)
    GType               go_doc_get_type                     (void);
    GODoc*              go_doc_new_from_input               (GsfInput *input,
                                                             GODocImporter const *fmt,
                                                             GOIOContext *context,
                                                             gchar const *encoding);
    GODoc*              go_doc_new_from_uri                 (char const *uri,
                                                             GnmFileOpener const *fmt,
                                                             GOIOContext *context,
                                                             gchar const *encoding);
    gboolean            go_doc_save                         (GODoc *doc,
                                                             GOIOContext *context);
    gboolean            go_doc_save_as                      (GODoc *doc,
                                                             GODocExporter *fmt,
                                                             char const *uri,
                                                             GOIOContext *cc);
    gboolean            go_doc_sendto                       (GODoc *doc,
                                                             GOIOContext *cc);

## Description

## Details

### GO_DOC_TYPE

    #define GO_DOC_TYPE	    (go_doc_get_type ())

### GO_DOC()

    #define GO_DOC(o)	    (G_TYPE_CHECK_INSTANCE_CAST ((o), GO_DOC_TYPE, GODoc))

`o` : |

### IS_GO_DOC()

    #define IS_GO_DOC(o)	    (G_TYPE_CHECK_INSTANCE_TYPE ((o), GO_DOC_TYPE))

`o` : |

### go_doc_get_type ()

    GType               go_doc_get_type                     (void);

Returns : |

### go_doc_new_from_input ()

    GODoc*              go_doc_new_from_input               (GsfInput *input,
                                                             GODocImporter const *fmt,
                                                             GOIOContext *context,
                                                             gchar const *encoding);

`input` : |
`fmt` : |
`context` : |
`encoding` : |
Returns : |

### go_doc_new_from_uri ()

    GODoc*              go_doc_new_from_uri                 (char const *uri,
                                                             GnmFileOpener const *fmt,
                                                             GOIOContext *context,
                                                             gchar const *encoding);

`uri` : |
`fmt` : |
`context` : |
`encoding` : |
Returns : |

### go_doc_save ()

    gboolean            go_doc_save                         (GODoc *doc,
                                                             GOIOContext *context);

`doc` : |
`context` : |
Returns : |

### go_doc_save_as ()

    gboolean            go_doc_save_as                      (GODoc *doc,
                                                             GODocExporter *fmt,
                                                             char const *uri,
                                                             GOIOContext *cc);

`doc` : |
`fmt` : |
`uri` : |
`cc` : |
Returns : |

### go_doc_sendto ()

    gboolean            go_doc_sendto                       (GODoc *doc,
                                                             GOIOContext *cc);

`doc` : |
`cc` : |
Returns : |